<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.rest.models.rs.RsJobConfig" table="rs_job_config" >
        <id name="id" type="java.lang.String">
            <column name="id" length="50" />
            <generator class="uuid" />
        </id>
        <property name="jobName" type="java.lang.String">
            <column name="job_name" length="50" not-null="true">
                <comment>任务名称</comment>
            </column>
        </property>
        <property name="jobInfo" type="java.lang.String">
            <column name="job_info" length="200">
                <comment>任务描述</comment>
            </column>
        </property>
        <property name="jobType" type="java.lang.String">
            <column name="job_type" length="10">
                <comment>任务类型(0--单次执行 1--周期执行 2--监听任务)</comment>
            </column>
        </property>
        <property name="schemeId" type="java.lang.String">
            <column name="scheme_id" length="50">
                <comment>适配方案</comment>
            </column>
        </property>
        <property name="schemeVersion" type="java.lang.String">
            <column name="scheme_version" length="50">
                <comment>适配方案版本</comment>
            </column>
        </property>
        <property name="jobNextTime" type="java.util.Date">
            <column name="job_next_time">
                <comment>任务下次执行时间</comment>
            </column>
        </property>
        <property name="valid" type="java.lang.String">
            <column name="valid" length="10" not-null="true">
                <comment>是否有效</comment>
            </column>
        </property>
        <property name="jobContent" type="java.lang.String">
            <column name="job_content" length="50">
                <comment>任务内容</comment>
            </column>
        </property>
        <property name="jobContentType" type="java.lang.String">
            <column name="job_content_type" length="10">
                <comment>任务内容类型</comment>
            </column>
        </property>
        <property name="repeatStartTime" type="java.util.Date">
            <column name="repeat_Start_Time">
                <comment>采集开始时间</comment>
            </column>
        </property>
        <property name="repeatEndTime" type="java.util.Date">
            <column name="repeat_End_Time">
                <comment>采集结束时间</comment>
            </column>
        </property>

        <property name="delayTime" type="java.lang.Integer">
            <column name="delay_Time">
                <comment>延迟时间</comment>
            </column>
        </property>
        <property name="flowId" type="java.lang.Integer">
            <column name="flow_id">
                <comment>流程ID</comment>
            </column>
        </property>
        <property name="flowTempId" type="java.lang.Integer">
            <column name="flow_temp_id">
                <comment>流程模板ID</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
